feldspar-language-0.6.0.2: A functional embedded language for DSP and parallelism

Safe Haskell | None

Feldspar.Core.Frontend.Binding

Synopsis

- share :: (Syntax a, Syntax b) => a -> (a -> b) -> b
- (.<) :: (Syntax b, Syntax c) => (b -> c) -> (a -> b) -> a -> c
- ($<) :: (Syntax a, Syntax b) => (a -> b) -> a -> b

# Documentation

share :: (Syntax a, Syntax b) => a -> (a -> b) -> b

Share an expression in the scope of a function

(.<) :: (Syntax b, Syntax c) => (b -> c) -> (a -> b) -> a -> c

Share the intermediate result when composing functions

($<) :: (Syntax a, Syntax b) => (a -> b) -> a -> b

Share an expression in the scope of a function